class_name PauseMenu
extends Panel


func _unhandled_input(event: InputEvent) -> void:
	if event.is_action_pressed("ui_cancel") and self.visible:
		hide_menu()
	elif event.is_action_pressed("ui_cancel") and !self.visible:
		show_menu()


func show_menu() -> void:
	self.visible = true
	SignalManager.options_menu_opened.emit()

func hide_menu() -> void:
	self.visible = false
	SignalManager.options_menu_closed.emit()


# Signals
func _on_exit_game_button_pressed() -> void:
	get_tree().quit()

func _on_resume_button_pressed() -> void:
	hide_menu()

func _on_quick_load_pressed() -> void:
	SaveGameManager.load_game()
	hide_menu()

func _on_quick_save_pressed() -> void:
	SaveGameManager.save_game()
	hide_menu()

func _on_settings_button_pressed() -> void:
	pass # Replace with function body.
