class_name UI
extends CanvasLayer


@onready var crosshair: CenterContainer = $Crosshair
@onready var inventory: Inventory = $Inventory
@onready var quick_slots: MarginContainer = $QuickSlots
@onready var waila: Waila = $Waila


func _ready() -> void:
	SignalManager.options_menu_closed.connect(_on_options_menu_closed.bind())
	SignalManager.options_menu_opened.connect(_on_options_menu_opened.bind())


func _on_options_menu_closed() -> void:
	crosshair.visible = true
	quick_slots.visible = true
	waila.visible = true

	Input.mouse_mode = Input.MOUSE_MODE_CAPTURED

	get_tree().paused = false

func _on_options_menu_opened() -> void:
	crosshair.visible = false
	quick_slots.visible = false
	waila.visible = false

	Input.mouse_mode = Input.MOUSE_MODE_VISIBLE

	get_tree().paused = true
